Summary: Red Hat Print Filter System
Name: rhs-printfilters
Version: 1.44
Release: 1
Copyright: GPL
Group: Utilities/System
Source: rhs-printfilters-%{PACKAGE_VERSION}.tar.gz
Requires: mpage >= 2.4, lpr >= 0.17, ghostscript >= 3.33

#
# these conflcts exists because Dr Mike changes the location of the filters
#
Conflicts: tetex < 0.4pl8-3
Conflicts: netpbm < 1mar1994-15
Conflicts: groff < 1.10-8
Conflicts: nenscript < 1.13++-8
Conflicts: printtool < 3.1
Conflicts: libgr-progs < 2.0.9-7

%description
The Red Hat print filter system provides an easy way to handle
the printing of numerous file formats. Meant primarily to be
used in conjuction with the Red Hat printtool.

%prep
%setup -n rhs-printfilters

%build

%install
make install

%changelog

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>

- Fixed printerdb to include 300x300 resolution for LaserJet 4 models
- Restored troff file handling now troff fpi is 'safe'

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>

- Fixed master-filter to NOT handle troff files automatically

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Wed Apr 23 1997 Michael Fulbright <msf@redhat.com>

- Fixed problem with asc-to-printer.fpi not handling cr/lf trans correct

* Fri Apr 18 1997 Michael Fulbright <msf@redhat.com>

- fixed up Canon 600/4000 printerdb def

- added some HP Deskjets which I know work

* Thu Apr 10 1997 Michael Fulbright <msf@redhat.com>

- Added requirement that gs is installed. Pretty useless w/o it if
  you print anything interesting.

* Fri Mar 13 1997 Michael Fulbright <msf@redhat.com>

- Added conflicts so that packages with old filter loc won't hurt us.
- Moved to version 1.2.
- Added mpage support to allow nup printing.

* Wed Mar 13 1997 Michael Fulbright <msf@redhat.com>

- Added a DeskJet500Mono driver which links to the gs driver djet500.
- Added a A4 paper size test page.
- Fixed Makefile to build .ps test pages from the .fig files.

* Mon Mar 10 1997 Michael Fulbright <msf@redhat.com>

- Split filters off from printtool into this package .

%files
%doc README CHANGES
%dir /usr/lib/rhs/rhs-printfilters
/usr/lib/rhs/rhs-printfilters/asc-to-printer.fpi
/usr/lib/rhs/rhs-printfilters/asc-to-ps.fpi
/usr/lib/rhs/rhs-printfilters/general.cfg.in
/usr/lib/rhs/rhs-printfilters/master-filter
/usr/lib/rhs/rhs-printfilters/postscript.cfg.in
/usr/lib/rhs/rhs-printfilters/printerdb
/usr/lib/rhs/rhs-printfilters/ps-to-printer.fpi
/usr/lib/rhs/rhs-printfilters/rewindstdin
/usr/lib/rhs/rhs-printfilters/rpm-to-asc.fpi
/usr/lib/rhs/rhs-printfilters/smbprint
/usr/lib/rhs/rhs-printfilters/testpage.asc
/usr/lib/rhs/rhs-printfilters/testpage.ps
/usr/lib/rhs/rhs-printfilters/testpage-a4.ps
/usr/lib/rhs/rhs-printfilters/textonly.cfg.in
